import {
  getMinMaxDistributiveLattice
} from "./chunk-JCCAJVO6.mjs";
import {
  __export
} from "./chunk-QK4PKNB3.mjs";

// src/BoundedDistributiveLattice.ts
var BoundedDistributiveLattice_exports = {};
__export(BoundedDistributiveLattice_exports, {
  getMinMaxBoundedDistributiveLattice: () => getMinMaxBoundedDistributiveLattice
});
function getMinMaxBoundedDistributiveLattice(O) {
  const L = getMinMaxDistributiveLattice(O);
  return (min, max) => ({
    join: L.join,
    meet: L.meet,
    zero: min,
    one: max
  });
}

export {
  getMinMaxBoundedDistributiveLattice,
  BoundedDistributiveLattice_exports
};
